## MmGdbusObject

MmGdbusObject — Specialized GDBusObject types

## Functions

MmGdbusModem * | mm_gdbus_object_peek_modem ()
MmGdbusModem * | mm_gdbus_object_get_modem ()
MmGdbusModem3gpp * | mm_gdbus_object_peek_modem3gpp ()
MmGdbusModem3gpp * | mm_gdbus_object_get_modem3gpp ()
MmGdbusModem3gppUssd * | mm_gdbus_object_peek_modem3gpp_ussd ()
MmGdbusModem3gppUssd * | mm_gdbus_object_get_modem3gpp_ussd ()
MmGdbusModem3gppProfileManager * | mm_gdbus_object_peek_modem3gpp_profile_manager ()
MmGdbusModem3gppProfileManager * | mm_gdbus_object_get_modem3gpp_profile_manager ()
MmGdbusModemCdma * | mm_gdbus_object_peek_modem_cdma ()
MmGdbusModemCdma * | mm_gdbus_object_get_modem_cdma ()
MmGdbusModemCellBroadcast * | mm_gdbus_object_get_modem_cell_broadcast ()
MmGdbusModemCellBroadcast * | mm_gdbus_object_peek_modem_cell_broadcast ()
MmGdbusModemLocation * | mm_gdbus_object_peek_modem_location ()
MmGdbusModemLocation * | mm_gdbus_object_get_modem_location ()
MmGdbusModemMessaging * | mm_gdbus_object_peek_modem_messaging ()
MmGdbusModemMessaging * | mm_gdbus_object_get_modem_messaging ()
MmGdbusModemTime * | mm_gdbus_object_peek_modem_time ()
MmGdbusModemTime * | mm_gdbus_object_get_modem_time ()
MmGdbusModemFirmware * | mm_gdbus_object_peek_modem_firmware ()
MmGdbusModemFirmware * | mm_gdbus_object_get_modem_firmware ()
MmGdbusModemOma * | mm_gdbus_object_peek_modem_oma ()
MmGdbusModemOma * | mm_gdbus_object_get_modem_oma ()
MmGdbusModemSimple * | mm_gdbus_object_peek_modem_simple ()
MmGdbusModemSimple * | mm_gdbus_object_get_modem_simple ()
MmGdbusModemSignal * | mm_gdbus_object_peek_modem_signal ()
MmGdbusModemSignal * | mm_gdbus_object_get_modem_signal ()
MmGdbusModemVoice * | mm_gdbus_object_peek_modem_voice ()
MmGdbusModemVoice * | mm_gdbus_object_get_modem_voice ()
MmGdbusModemSar * | mm_gdbus_object_peek_modem_sar ()
MmGdbusModemSar * | mm_gdbus_object_get_modem_sar ()

## Properties

MmGdbusModem * | modem | Read / Write
MmGdbusModemCdma * | modem-cdma | Read / Write
MmGdbusModemCellBroadcast * | modem-cell-broadcast | Read / Write
MmGdbusModemFirmware * | modem-firmware | Read / Write
MmGdbusModemLocation * | modem-location | Read / Write
MmGdbusModemMessaging * | modem-messaging | Read / Write
MmGdbusModemOma * | modem-oma | Read / Write
MmGdbusModemSar * | modem-sar | Read / Write
MmGdbusModemSignal * | modem-signal | Read / Write
MmGdbusModemSimple * | modem-simple | Read / Write
MmGdbusModemTime * | modem-time | Read / Write
MmGdbusModemVoice * | modem-voice | Read / Write
MmGdbusModem3gpp * | modem3gpp | Read / Write
MmGdbusModem3gppProfileManager * | modem3gpp-profile-manager | Read / Write
MmGdbusModem3gppUssd * | modem3gpp-ussd | Read / Write

## Types and Values

| MmGdbusObject
struct | MmGdbusObjectIface

## Object Hierarchy

        GInterface
        ╰── MmGdbusObject

## Prerequisites

MmGdbusObject requires GDBusObject and GObject.

## Known Implementations

MmGdbusObject is implemented by MMObject, MmGdbusObjectProxy and MmGdbusObjectSkeleton.

## Description

This section contains the MmGdbusObject, MmGdbusObjectProxy, and MmGdbusObjectSkeleton types which make it easier to work with objects implementing generated types for D-Bus interfaces.

## Functions

### mm_gdbus_object_peek_modem ()

    MmGdbusModem *
    mm_gdbus_object_peek_modem (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModem or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem ()

    MmGdbusModem *
    mm_gdbus_object_get_modem (MmGdbusObject *object);

Gets the MmGdbusModem instance for the D-Bus interface org.freedesktop.ModemManager1.Modem on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModem that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem3gpp ()

    MmGdbusModem3gpp *
    mm_gdbus_object_peek_modem3gpp (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem3gpp()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModem3gpp or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem3gpp ()

    MmGdbusModem3gpp *
    mm_gdbus_object_get_modem3gpp (MmGdbusObject *object);

Gets the MmGdbusModem3gpp instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModem3gpp that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem3gpp_ussd ()

    MmGdbusModem3gppUssd *
    mm_gdbus_object_peek_modem3gpp_ussd (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem3gpp_ussd()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModem3gppUssd or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem3gpp_ussd ()

    MmGdbusModem3gppUssd *
    mm_gdbus_object_get_modem3gpp_ussd (MmGdbusObject *object);

Gets the MmGdbusModem3gppUssd instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.Ussd on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModem3gppUssd that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem3gpp_profile_manager ()

    MmGdbusModem3gppProfileManager *
    mm_gdbus_object_peek_modem3gpp_profile_manager
                                   (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem3gpp_profile_manager()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModem3gppProfileManager or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem3gpp_profile_manager ()

    MmGdbusModem3gppProfileManager *
    mm_gdbus_object_get_modem3gpp_profile_manager
                                   (MmGdbusObject *object);

Gets the MmGdbusModem3gppProfileManager instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.ProfileManager on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModem3gppProfileManager that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_cdma ()

    MmGdbusModemCdma *
    mm_gdbus_object_peek_modem_cdma (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_cdma()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemCdma or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_cdma ()

    MmGdbusModemCdma *
    mm_gdbus_object_get_modem_cdma (MmGdbusObject *object);

Gets the MmGdbusModemCdma instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.ModemCdma on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemCdma that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_get_modem_cell_broadcast ()

    MmGdbusModemCellBroadcast *
    mm_gdbus_object_get_modem_cell_broadcast
                                   (MmGdbusObject *object);

Gets the MmGdbusModemCellBroadcast instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.CellBroadcast on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemCellBroadcast that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_cell_broadcast ()

    MmGdbusModemCellBroadcast *
    mm_gdbus_object_peek_modem_cell_broadcast
                                   (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_cell_broadcast()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemCellBroadcast or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_peek_modem_location ()

    MmGdbusModemLocation *
    mm_gdbus_object_peek_modem_location (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_location()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemLocation or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_location ()

    MmGdbusModemLocation *
    mm_gdbus_object_get_modem_location (MmGdbusObject *object);

Gets the MmGdbusModemLocation instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Location on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemLocation that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_messaging ()

    MmGdbusModemMessaging *
    mm_gdbus_object_peek_modem_messaging (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_messaging()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemMessaging or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_messaging ()

    MmGdbusModemMessaging *
    mm_gdbus_object_get_modem_messaging (MmGdbusObject *object);

Gets the MmGdbusModemMessaging instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Messaging on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemMessaging that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_time ()

    MmGdbusModemTime *
    mm_gdbus_object_peek_modem_time (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_time()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemTime or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_time ()

    MmGdbusModemTime *
    mm_gdbus_object_get_modem_time (MmGdbusObject *object);

Gets the MmGdbusModemTime instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Time on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemTime that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_firmware ()

    MmGdbusModemFirmware *
    mm_gdbus_object_peek_modem_firmware (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_firmware()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemFirmware or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_firmware ()

    MmGdbusModemFirmware *
    mm_gdbus_object_get_modem_firmware (MmGdbusObject *object);

Gets the MmGdbusModemFirmware instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Firmware on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemFirmware that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_oma ()

    MmGdbusModemOma *
    mm_gdbus_object_peek_modem_oma (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_oma()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemOma or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_oma ()

    MmGdbusModemOma *
    mm_gdbus_object_get_modem_oma (MmGdbusObject *object);

Gets the MmGdbusModemOma instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Oma on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemOma that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_simple ()

    MmGdbusModemSimple *
    mm_gdbus_object_peek_modem_simple (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_simple()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemSimple or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_simple ()

    MmGdbusModemSimple *
    mm_gdbus_object_get_modem_simple (MmGdbusObject *object);

Gets the MmGdbusModemSimple instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Simple on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemSimple that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_signal ()

    MmGdbusModemSignal *
    mm_gdbus_object_peek_modem_signal (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_signal()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemSignal or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_signal ()

    MmGdbusModemSignal *
    mm_gdbus_object_get_modem_signal (MmGdbusObject *object);

Gets the MmGdbusModemSignal instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Signal on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemSignal that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_voice ()

    MmGdbusModemVoice *
    mm_gdbus_object_peek_modem_voice (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_voice()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemVoice or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_voice ()

    MmGdbusModemVoice *
    mm_gdbus_object_get_modem_voice (MmGdbusObject *object);

Gets the MmGdbusModemVoice instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Voice on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemVoice that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### mm_gdbus_object_peek_modem_sar ()

    MmGdbusModemSar *
    mm_gdbus_object_peek_modem_sar (MmGdbusObject *object);

Like `mm_gdbus_object_get_modem_sar()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemSar or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### mm_gdbus_object_get_modem_sar ()

    MmGdbusModemSar *
    mm_gdbus_object_get_modem_sar (MmGdbusObject *object);

Gets the MmGdbusModemSar instance for the D-Bus interface org.freedesktop.ModemManager1.Modem.Sar on `object` , if any.

#### Parameters

object | A MmGdbusObject. |

#### Returns

A MmGdbusModemSar that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

## Types and Values

### MmGdbusObject

    typedef struct _MmGdbusObject MmGdbusObject;

The MmGdbusObject type is a specialized container of interfaces.

### struct MmGdbusObjectIface

    struct MmGdbusObjectIface {
      GTypeInterface parent_iface;
    };

Virtual table for the MmGdbusObject interface.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

## Property Details

### The `“modem”` property

      “modem”                    MmGdbusModem *

The MmGdbusModem instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-cdma”` property

      “modem-cdma”               MmGdbusModemCdma *

The MmGdbusModemCdma instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.ModemCdma, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-cell-broadcast”` property

      “modem-cell-broadcast”     MmGdbusModemCellBroadcast *

The MmGdbusModemCellBroadcast instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.CellBroadcast, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-firmware”` property

      “modem-firmware”           MmGdbusModemFirmware *

The MmGdbusModemFirmware instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Firmware, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-location”` property

      “modem-location”           MmGdbusModemLocation *

The MmGdbusModemLocation instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Location, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-messaging”` property

      “modem-messaging”          MmGdbusModemMessaging *

The MmGdbusModemMessaging instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Messaging, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-oma”` property

      “modem-oma”                MmGdbusModemOma *

The MmGdbusModemOma instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Oma, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-sar”` property

      “modem-sar”                MmGdbusModemSar *

The MmGdbusModemSar instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Sar, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-signal”` property

      “modem-signal”             MmGdbusModemSignal *

The MmGdbusModemSignal instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Signal, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-simple”` property

      “modem-simple”             MmGdbusModemSimple *

The MmGdbusModemSimple instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Simple, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-time”` property

      “modem-time”               MmGdbusModemTime *

The MmGdbusModemTime instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Time, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem-voice”` property

      “modem-voice”              MmGdbusModemVoice *

The MmGdbusModemVoice instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Voice, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem3gpp”` property

      “modem3gpp”                MmGdbusModem3gpp *

The MmGdbusModem3gpp instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem3gpp-profile-manager”` property

      “modem3gpp-profile-manager” MmGdbusModem3gppProfileManager *

The MmGdbusModem3gppProfileManager instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.ProfileManager, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write

### The `“modem3gpp-ussd”` property

      “modem3gpp-ussd”           MmGdbusModem3gppUssd *

The MmGdbusModem3gppUssd instance corresponding to the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.Ussd, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: MmGdbusObject

Flags: Read / Write